summaryrefslogtreecommitdiffstatshomepage
path: root/.github
diff options
context:
space:
mode:
authordundargoc <gocdundar@gmail.com>2025-11-09 21:22:54 +0100
committerJustin M. Keyes <justinkz@gmail.com>2026-04-14 18:39:38 +0200
commit8a4bee3ed0cb1313d35f35a04341e4a0b2f5ffae (patch)
treeeda2cfbbcaa0911c546e95f121a0895998331465 /.github
parente243bed18f4bdb2d60eac6e7b35ea3e6fa886f38 (diff)
build: update clang v21, fix warnings
- `src/nvim/ex_cmds_defs.h`: use "U" instead of "u" per `readability-uppercase-literal-suffix`
Diffstat (limited to '.github')
-rwxr-xr-x.github/scripts/install_deps.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/.github/scripts/install_deps.sh b/.github/scripts/install_deps.sh
index 4b4e48acbd..692860c60f 100755
--- a/.github/scripts/install_deps.sh
+++ b/.github/scripts/install_deps.sh
@@ -1,4 +1,5 @@
#!/bin/bash
+set -e
while (($# > 0)); do
case $1 in
@@ -17,7 +18,7 @@ if [[ $OS == Linux ]]; then
if [[ $CC == clang ]]; then
DEFAULT_CLANG_VERSION=$(echo | clang -dM -E - | grep __clang_major | awk '{print $3}')
- CLANG_VERSION=19
+ CLANG_VERSION=21
if ((DEFAULT_CLANG_VERSION >= CLANG_VERSION)); then
echo "Default clang version is $DEFAULT_CLANG_VERSION, which is equal or larger than wanted version $CLANG_VERSION. Aborting!"
exit 1
@@ -26,6 +27,8 @@ if [[ $OS == Linux ]]; then
wget https://apt.llvm.org/llvm.sh
chmod +x llvm.sh
sudo ./llvm.sh $CLANG_VERSION
+ # Alternatively could use `./llvm.sh … all` above, but that is heavy/slow.
+ sudo apt-get install -y clang-tidy-$CLANG_VERSION
sudo update-alternatives --install /usr/bin/clang clang /usr/bin/clang-$CLANG_VERSION 100
sudo update-alternatives --set clang /usr/bin/clang-$CLANG_VERSION
sudo update-alternatives --install /usr/bin/clang-tidy clang-tidy /usr/bin/clang-tidy-$CLANG_VERSION 100